Copyright: Copyright© 1999 Eicon Technology Corporation. All rights reserved.
Citation: Copyright© 1999 Eicon Technology Corporation. All rights reserved.


About the Eicon System Management Console

The Eicon System Management Console is designed to simplify the configuration of your EiconCard P-Series connections.

This program provides a graphical view of all configurable EiconCard P-Series resources: Cards, Ports, Dialers, Frame Relay connections, and PPP WAN Miniport connections.

Note:  WAN Services P-Series currently supports one P-Series EiconCard — the EiconCard P92.

•	Using the Eicon System Management Console

•	Using the Online Help

•	About Eicon Technology


About Eicon Technology

Founded in 1984, Eicon Technology’s mission is Connecting People to Information ® by providing connectivity solutions for the networked enterprise. The Company develops, markets and supports hardware and software products for connecting PC-based servers, desktop PCs and notebook PCs to corporate networks, IBM host computers and the Internet and Intranet.

Eicon Technology’s products are sold in more than 70 countries through a worldwide distribution network that includes distributors, resellers, systems integrators, dealers and original equipment and manufacturers. These efforts are coordinated through sales headquarters in London, Dallas and Sydney, which oversee 21 sales offices in ten countries.

Eicon’s industry leading products are used by more than 400,000 end users worldwide in all major vertical industry segments, including banks, airlines, insurance, manufacturing, retail and governments.

Our hardware and software products provide distributed connectivity solutions for both the IBM System Network Architecture (SNA) and ISO Open System Interconnection (OSI) models.

Eicon Technology is a recognized leader in connecting PCs and LANs to X.25 packet-switched networks. As the standard for public data networks, X.25 is now an integral part of most network architectures, and key to such innovations as Frame Relay and ISDN. We bring products to market after working closely with customers.

Eicon Technology gateways and routers allow PCs on a LAN to communicate with host computers and other LANs. Our gateways can be used with NetBIOS-compatible LANs, Novell NetWare, Microsoft LAN Manager and IBM OS/2 LAN Server. We support the MS/PC-DOS, Windows, OS/2, and Macintosh operating environments.

Our routers route multiple protocols, including TCP/IP, IPX and are also capable of routing IP traffic over existing SNA networks.

Our protocol conversion and link concentration techniques permit a reduction in the number of communication links required to support branch offices. This allows both LAN and non-LAN devices to be consolidated over common links.


Using the Eicon System Management Console

The Eicon System Management Console provides a graphical overview of the configurable EiconCard P-series resources. The interface is split vertically into two panels. You can change the size of the panels by dragging the split bar to the left or right.

The left panel contains a tabbed display of the Navigator tree. There are four tabs (Hardware, RAS Support, Routing Services, and All) along the top edge of the panel. Each tab enables a different view of the Navigator tree. You can expand or collapse the branches of the Navigator tree to view any of the available sub-components. The [image] icon indicates expandable branches; the [image] icon indicates collapsible branches.

The right panel displays the contents of the sub-component selected in the left panel. Double-click any folder icon to display the contents of that folder in the right panel. Double-click the sub-component icon from the Navigator to display the Properties configuration dialog box for the selected sub-component.

Modifying Entries

At anytime after configuring an entry (card, port, router, dialer), you can modify the parameter settings. Right-click the appropriate entry in either the right or left panel, then choose the Properties option to view the configuration dialog box for the selected entry. Make any necessary changes to any parameter in the dialog box and click OK to accept.

Viewing Configuration Settings for Entries

For a quick view of the configuration settings for any entry, right-click the appropriate object/icon, then choose View Parameters. A view window for the selected entry is displayed with a list of the configuration settings. No action can be performed from the View window.

To close this window, click [image] at the far right of the title bar.

Deleting Entries

To delete an entry, select the appropriate entry, then click [image].

Note: If you make any changes to your configuration, you must reboot your PC for the changes to take effect.


Using the Online Help

Context-sensitive online help is available for every parameter in the Eicon System Management Console.

To get Help in a dialog box or panel:

•	Click [image] at the top of a dialog box, and then click the parameter you want information about. What’s This help is displayed for that parameter. To close the pop-up window, click inside it.

•	Press F1 from within any parameter.

•	Right-click the area you want Help on, and then choose the What's This? command.

Tips

If you want to print or copy the information in a pop-up window, use the right mouse button to click inside it, and then click Print Topic.


Port Properties

Port Usage

WAN Protocol

Line Interface

Dialer Type

Modem Interface

Clocking

Data Encoding

Line Speed

WAN Protocol Properties button

Dialer Properties button


Select how you want the EiconCard port to be used: Unused, RAS Port, Router Connection, SNA.


Select the desired WAN Protocol. The available protocol depends on what you selected for the port usage.

If Port Usage is…	WAN Protocols available are…
Router Connection	Frame Relay, Clear Channel/HDLC Framing
RAS Port	PPP


Indicates the type of line to which this port is connected.

Default value: Leased.

Value	Description
Dial	Use if the port is connected to a modem that you must dial to make a connection.
Leased	Use if the port is connected to a null-modem cable or a modem that links to a dedicated leased line.


Selects the type of interface the EiconCard uses to control an internal or external modem.

Default value: Direct.

Value	Description
Direct	Direct physical connection. i.e. Leased line.
Hayes AT	Connection with an external synchronous modem that has an asynchronous command interface and which accepts the Hayes AT command set.
V.25bis	Connection with an external synchronous modem that has a V.25bis interface.


This is the type of the physical interface between the modem (if any) and the current EiconCard. The range of values available for this parameter is directly dependent on the type of the current EiconCard.

For a number of EiconCard types only a single value is possible. Therefore, you may not be able to change the value of this parameter. If more than one value is available, the value you select should reflect the settings you made when installing the current EiconCard. Refer to the installation guide for your particular EiconCard.

Default value: Varies depending on EiconCard type.


Clocking controls synchronization and rate of data exchange over the communications link. You can either provide the clocking (internal clocking), or have the other end provide the clocking (external clocking).

Clocking is usually External, controlled by the modem or by another device to which the port is connected. For back-to-back connections (through a null-modem cable) to another EiconCard or to a host computer, one end must provide the clocking. If you provide the clock, make sure you set the Line Speed parameter.

Default value:  External.

Note:  For X.21 modem interfaces internal clocking is physically impossible.

Value	Description
External <= 2 Mbps External > 2Mbps	The EiconCard will use an external clock for receiving and transmitting.
Internal	The EiconCard will generate an internal clock for receiving, transmitting and output this clock on the interface for use by the other end.
Internal-DPLL	The EiconCard will employ a Digital Phase Lock Loop (DPLL) which uses an internally generated clock which is 32 (NRZI - Non-Return to Zero Inverted), 16 (FM), or 8 times the data rate, and monitor the incoming data stream to construct an internal receive/transmit clock.
External-DPLL	The EiconCard will employ a Digital Phase Lock Loop (DPLL) which uses an externally generated clock which is 32 (NRZI) ), 16 (FM), or 8 times the data rate, and monitor the incoming data stream to construct an internal receive/transmit clock.


Specify the type of encoding to be used when communicating with the host. The EiconCard supports both internal and external clocking with NRZI encoding.

Default value: NRZ.

Value	Description
NRZ	Enables NRZ (Non Return to Zero) encoding when the host uses it. Can be used for any clocking.
NRZI	Enables NRZI (Non Return to Zero Inverted) encoding when the host uses it. Can be used with internal or external clocking, and Internal-DPLL(Internal Digital Phase Lock Loop) or External-DPLL(External Digital Phase Lock Loop) with a line speed limit of 768 Kbps, or otherwise with a line speed limit of 2Mbps.
FM0	Enables FM0 (also known as biphase space) encoding when the host uses it. Can only be used with Internal and Internal-DPLL clocking with a speed limit of 768 Kbps.
FM1	Enables FM1 (also known as biphase mark) encoding when the host uses it. Can only be used with Internal and Internal-DPLL clocking with a speed limit of 768 Kbps.
Manchester	Enables Manchester encoding when the host uses it. Can be used with External speed up to 2 Mbps, Internal, External-DPLL, and Internal-DPLL clocking.
Differential Manchester	Enable Differential Manchester encoding when the host uses it. Can be used with External clocking with a speed limit of 2 Mbps, Internal, External-DPLL, and Internal-DPLL clocking.


This parameter only appears when Clocking is set to Internal or to Internal-DPLL (Internal Digital Phase Lock Loop). When a port is set for internal clocking you must specify the line speed used for data transfer. The line speed you select must be supported by your connection. This parameter is not displayed when external clocking is selected. In this case, the device providing the clocking sets the line speed.

Default value: 1536 K.

Value	Description
600 -  6144.0 K	Line speed, in bps, used by a port for data transfer. The speeds available depend on the EiconCard and modem interface selected.
Note: Not all EiconCards support the same range of line speeds.


Allows you to configure the Dialer.


Allows you to configure the WAN Protocol.


Frame Relay Properties

LMI Protocol

Full Status Polling Cycle

Error Threshold

Monitored Events Count

Link Integrity Verification Timer (sec)

Information Field Size (octets)

Idle Timer (sec)

Committed Information Rate

Manual Committed Information Rate


Defines the Local Management Interface (LMI) protocol supported on the network. LMI is a protocol and has associated procedures operating on the local interface between the machine user and the network. LMI provides management of Data Link Connection Identifiers (DLCI), which have their endpoints and bearer capabilities defined at subscription time. Pre-ANSI LMI is older, and ANSI T1.617 Annex D is newer. Networks usually support one or the other.

Default value: Auto LMI.

Value	Description
Annex A	ITU-T Q.933 Annex A
Annex D	ANSI T1.617 Annex D Local In-channel Signaling.
LMI	Pre-ANSI LMI protocol.
Auto LMI	Automatically detects which LMI protocol is in use by the remote user in the following order: Annex D, LMI, Annex A, None.
NONE	No LMI protocol selected.

If the Local Management Interface Protocol is set to NONE, you are not required to configure the following parameters:

•	Full Status Polling Cycle [N1]

•	Error Threshold [N2]

•	Monitored Events Count [N3]

•	Link Integrity Verification Timer [T1]


Sets the number of polling cycles before the EiconCard requests a Full Status Report. A polling cycle is a Status Enquiry and Status message exchange. This value determines the time the user device takes to recognize a change in status on a DLCI from the Frame Relay network. This may include the addition or deletion of a DLCI by the network.

Default value: 6.

Value	Description
1 - 255	Number of polling cycles before a Full Status Report is requested.


Specifies the number of reliability Errors, and/or Protocol Errors, that can occur during a monitored events count before a Frame Relay port is declared inactive. The monitored events count is defined by the Monitored Events Count parameter. The Error threshold parameter should always be less than or equal to the Monitored Events Count.

Default value: 3.

Value	Description
1 - 10	Maximum number of Errors and Protocol Errors that can occur during a sliding monitored events count before a Frame Relay connection is declared inactive.


Specifies the number of successful polling cycles (see Full status polling cycle [N1]) required before the Frame Relay port can be declared Active. If the port has been declared inactive, the network waits the specified number of monitored events before declaring it active again.

Default value: 4.

Note: For a DLCI to be declared inactive the number of reliability errors and/or protocol errors within the specified number of monitored events must exceed the Error Threshold. This prevents a DLCI from being declared inactive because of temporary conditions.

Value	Description
1 - 10	Number of successful Status Enquiries used to determine whether a Frame Relay port is active.


Sets how frequently the EiconCard should initiate a Status Enquiry message. This timer is in increments of 5 seconds.

This timer must be set to less than the timer used by the Frame Relay Network to verify that the EiconCard is sending Status Enquiry messages. To get the Frame Relay Network timer value, contact your network personnel.

Default value: 10.

Value	Description
5 - 30	The frequency in increments of 5 seconds with which the EiconCard initiates a Status Enquiry message.


Specifies the maximum number of bytes of user data that can be contained in a Frame Relay frame.

Default value: 1514.

Value	Description
19 - 4096	Maximum number of bytes of user data allowed in a frame.


This timer controls the amount of time all Frame Relay dial up connections on this port can be inactive before the link is brought down.

Default value: 20 (if dialer type is not direct).

Value	Description
0	Disables the timer. The link is never brought down.
1 - 999	Number of seconds a Frame Relay dial up connection can be idle before the link is brought down.


The Committed Information Rate (CIR) is the rate in bits per second at which the network transfers information under normal conditions. The service provider typically sets pricing based on the CIR (including other criteria) and guarantees it.

Default value: Use line speed

Value	Description
Use line speed	Uses the current line speed value. (Not available if the Clocking is set to Ext-Speed > 2 Mbps.
Manually specify	Specify the CIR in bits per second.  Range: 0 - 45000000


Specify the Committed Information Rate in bits per second. Range: 0 - 45,000,000


Hayes AT Dialer Properties

Bits/Character

Speed

Parity

Stop Bits

Hangup Delay (sec)

Phone Number

Enable Answering Mode


Sets the number of bits used to represent a character. The number of bits per character must be set to the same value on both ends of an EiconCard-to-modem connection. This parameter is used in the asynchronous mode only, and it allows for the specification of call setup commands issued before a connection is established with an external modem.

Default value: 8.

Value	Description
7 - 8	Bits per Character; must be the same setting as the external modem used.


The off-line bits per second speed while the dialer is in command mode. This parameter is used in the asynchronous mode only, and it allows for the specification of call setup commands issued before a connection is established with an external modem.

Default value: 9600.

Note: The Speed parameter under the Hayes AT Dialer is not the same as Line Speed, specified under the Sync Driver component. The actual speed of the connection is the Line Speed.

Value	Description
1200  2400 4800 9600 14400 19200 28800 38400 56000 57600 64000 115200 128000	Maximum bits per second (bps) rate at which the dialer communicates with the modem while in command mode.


Defines the parity value while in off-line command mode. Parity is a very basic type of error checking. This parameter is used in the asynchronous mode only, and it allows for the specification of call setup commands issued before a connection is established with an external modem. The two ends of an EiconCard-to-modem connection must use the same parity.

Default value: None.

Value	Description
Odd  Even  None	Method of Parity error checking used. Both ends of the connection must be set with the same Parity.


Specifies the number of bits used to signify the end of a character during asynchronous communications.

Default value: 1

Possible values: 1, 1.5, 2


V25bis Dialer Properties

Hangup Delay (sec)

Maximum Delay for Sending a Command Message

Phone Number

Enable Answering Mode


The amount of time to wait after a command message has been sent to the local V.25bis modem.

Default value: 500.

Value	Description
100 - 2000	Delay in milliseconds between sending a command message to the local V.25bis modem and its acceptance. If this timer is exceeded then the command message is returned with an error code.


Specifies the phone number to dial. By default, CRN is internally prefixed to the phone number, however you may still specify CRN, CRI, or CRS. Therefore, entering CRN 555-5555 has the same effect as entering 555-5555. Refer to the Prefix table below for possible values.

Default value: empty.

Value	Description
CR followed by a Prefix(optional), and a number.	The telephone number for the modem to dial.
Prefix	Description
N	The telephone number for the modem to dial.
I	The telephone number provided with an identification number.
S	The memory address for the modem to refer to.


Direct Dialer Properties


General Dialer Properties

Enable Answering Mode

Hang Up Delay

Phone Number

Dialer Specific Properties

Hayes AT Dialer

Direct Dialer

V25bis Dialer


This parameter indicates whether the EiconCard should allow the external DCE to answer incoming calls.

Default value: Checked.

Value	Description
Checked	Responds to incoming calls.
Unchecked	Do not respond to incoming calls.


Sets the amount of time after the line is hung up before a new command can be issued. This is used to give the modem enough time to revert to the asynchronous mode and get ready to accept other commands.

Default value: 2.

Value	Description
0 - 30	Delay in seconds between a hang up request and a hang up.


Specifies the phone number to dial. The optional AT prefix is a Hayes standard way of communicating with a modem. To use the AT prefix have it precede a command. For example, ATDT 555-5555 tone-dials the number 555-5555. ATDP 555-5555 pulse-dials the number.

Default value: Blank.

Value	Description
AT followed by a prefix (optional), and the telephone number.	The telephone number for the modem to dial.
Prefix	Description
DT	Tone dial indicator. Tone dials the telephone number.
DP	Pulse dial indicator. Pulse dials the telephone number.


Connection - Frame Relay Properties

Connection Label

WAN Protocol Label

Card Label

Port Label

Circuit Label

Route IP

Route IPX

Remote IP Address

Allow Broadcast

Multicast

SNA Over Frame Relay

Remote MAC Address


Select this check box to configure a router connection to transmit data across a Frame Relay network using Microsoft SNA Server.

Note:  You must select the Eicon P-Series LAN Emulation Adapter in the Microsoft SNA Server’s DLC 802.2 Link Service Setup dialog box.


Select this check box to configure your router connection to transmit data across the wide-area network using the TCP/IP transport protocol (Microsoft TCP/IP).


Select this check box to configure your router connection to transmit data across the wide-area network using the IPX/SPX transport protocol (Microsoft NWLink).


This parameter is the IP address of the remote device, and has the form n.n.n.n, where n is a number between 1 and 254 inclusive. You will need to configure this parameter if you have a different IP segment for some DLCIs.

For Frame Relay, the IP address is not required. Frame Relay uses the Address Resolution Protocol (ARP) (as per RFC 1490) to discover the IP address of the remote device.

For more information about IP addressing, see your Eicon Technology product’s manual.

Default value: Blank.


Specify a label to identify this connection.


Identifies the WAN Protocol used for this connection.


Identifies the EiconCard used for this connection.


Identifies which port on the EiconCard is being used for this connection.


Identifies which DLCI is used for this connection.


Specifies whether IP broadcasts are passed through to the EiconCard, or they are discarded.

Default value: Checked.

Value	Description
Checked	IP Broadcasts are accepted.
Unchecked	IP Broadcasts are discarded.


Select the Multicast check box to accept and send Multicast.

Default value: Checked.

Value	Description
Checked	Multicast is accepted and sent.
Unchecked	Multicast is not accepted.


The Remote MAC Address is a six (6) hexadecimal value, represented as:

xx xx xx xx xx xx

where x is a character, 0-9 or A-F.

The Remote MAC Address is used when the remote router can accept a MAC address (i.e. when using SNA BAN encapsulation).


DLCI Properties

List DLCIs

Add DLCI button

Remove DLCI button

DLCI Properties button


Lists the available DLCIs and their current status.


Removes the selected DLCI.


Adds a new DLCI.


Allows you to view and edit the configuration of the selected DLCI.


Connection Properties


EiconCard Properties

List of ports

Properties button

List of Cards

Card Properties button


A list of the available ports on the EiconCard and their current configuration.


Allows you to view and edit the configuration of the selected port.


A list of the EiconCards installed in your system, and their current status.


Allows you to view and edit the configuration of the ports on the selected card.


Link Properties

Card Label

Port Label

Circuit Label

WAN Protocol Label


Identifies the card used for this link.


Identifies the port used for this link.


Identifies the circuit used for this link.


Identifies the WAN Protocol used on this link.


LAN Emulation Adapter Properties

General Properties:

Card Label

Port Label

IP Address Label

Subnet Mask Label

Default Gateway Label

Local MAC Address Label

Advanced Properties:

Call Retries

No Answer Timeout

Connection Unreachable Timer

Reconnect Timer


Identifies the EiconCard being used.


Identifies the port being used.


Identifies the IP address of the adapter.


Identifies the Subnet mask used by the adapter.


Identifies the Default Gateway used by the adapter.


Identifies the MAC address of the EiconCard being used.


Specifies the maximum number of times the adapter tries to connect before it declares the connection unreachable.

Default value: 5.

Value	Description
0 - 999	The maximum number of attempts to connect the adapter will make before it giving an error message.


Specifies the length of time, in seconds, the adapter should wait for an answer before timing out.

Default value: 90.

Value	Description
2 - 1000	The length of time the adapter should wait for an answer before timing out.


If the maximum number of Call Retry attempts has been reached, the adapter declares the connection unreachable, waits for a period of time then attempts to connect again. This parameter specifies the length of time, in seconds, that the adapter waits before it attempts to connect again.

Default value: 300.

Value	Description
0 - 30000	The length of time, after the connection has been declared unreachable, that the adapter waits before attempting to connect again.


Specifies the length of time, in seconds, between retries.

Default value: 0.

Value	Description
0 - 1200	The length of time between retries.


RAS Support Properties

List of RAS Links

Add RAS Link Button

Remove RAS Link Button

RAS Link Properties Button


Lists the available RAS links.


Adds a new RAS link.


Removes the selected RAS link.


Allows you to view and edit the configuration of the selected RAS link.


Router Support Properties

Router Connections List

Add Router Connection button

Remove Router Connection button

Router Connection Properties button


Lists the defined router connections.


Adds a new router connection.


Removes the selected router connection.


Allows you to view and edit the configuration of the selected router connection.